%define prefix %{_prefix}

Summary:	X-Sys is a system information plugin for X-Chat.
Summary(de):	X-Sys ist System Informationen, die fr X-Chat steckbar sind.
Summary(fr):	X-Sys est une information de systme plugin pour X-Chat.
Summary(it):	X-Sys  le informazioni del sistema plugin per X-Chat.
Summary(du):	X-Sys is een systeeminformatie plugin voor x-Chat.
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
Name:		xsys
Version:		1.0.5
Release:		3%{_my_ext}
Copyright:	GPL
Group:		Networking/Chat
Source:		xsys-1.0.5.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.mikeopolis.com
Requires:	xchat

%description
X-Sys is a system information plugin for X-Chat. It gathers various information
about your computer, then displays on screen, or in an IRC channel for you and
others to see.

%prep
%setup

%build
make
%install
make prefix=%{prefix} PREFIX=%{prefix} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/lib/xchat/plugins/
cp libxsys-1.0.5.so $RPM_BUILD_ROOT/usr/lib/xchat/plugins/libxsys-1.0.5.so
strip -R .note -R .comment $RPM_BUILD_ROOT/usr/lib/xchat/plugins/libxsys-1.0.5.so


%files
%defattr(-,root,root)
/usr/lib/xchat/plugins/libxsys-1.0.5.so

%doc README LICENSE ChangeLog

%changelog
* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 1.0.5-3bng
 - rebuild for right extension

* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 1.0.5-1bgn
  - Re-Build for MDK 10.1
  - New perl 5.8.5 required rebuild for 10.1

* Tue Jul 27 2004 <sgrayban@borgnet.us>
  - First build for Mandrake 10.
